## webauth 1.1-0

=== Makefile ===
#############################################################################
# Makefile for building: webauth
# Generated by qmake (2.01a) (Qt 4.5.2) on: ?? ????. 4 00:43:56 2010
# Project:  webauth.pro
# Template: subdirs
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile webauth.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src \
		sub-test-QtAuthorizationClient

src//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) src.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-src: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src//$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall
test/QtAuthorizationClient//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) test/QtAuthorizationClient/ || $(MKDIR) test/QtAuthorizationClient/ 
	cd test/QtAuthorizationClient/ && $(QMAKE) QtAuthorizationClient.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-test-QtAuthorizationClient-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) test/QtAuthorizationClient/ || $(MKDIR) test/QtAuthorizationClient/ 
	cd test/QtAuthorizationClient/ && $(QMAKE) QtAuthorizationClient.pro -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o $(MAKEFILE)
sub-test-QtAuthorizationClient: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE)
sub-test-QtAuthorizationClient-make_default: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) 
sub-test-QtAuthorizationClient-make_first: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) first
sub-test-QtAuthorizationClient-all: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) all
sub-test-QtAuthorizationClient-clean: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) clean
sub-test-QtAuthorizationClient-distclean: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) distclean
sub-test-QtAuthorizationClient-install_subtargets: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) install
sub-test-QtAuthorizationClient-uninstall_subtargets: test/QtAuthorizationClient//$(MAKEFILE) FORCE
	cd test/QtAuthorizationClient/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: webauth.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile webauth.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile webauth.pro

qmake_all: sub-src-qmake_all sub-test-QtAuthorizationClient-qmake_all FORCE

make_default: sub-src-make_default sub-test-QtAuthorizationClient-make_default FORCE
make_first: sub-src-make_first sub-test-QtAuthorizationClient-make_first FORCE
all: sub-src-all sub-test-QtAuthorizationClient-all FORCE
clean: sub-src-clean sub-test-QtAuthorizationClient-clean FORCE
distclean: sub-src-distclean sub-test-QtAuthorizationClient-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets sub-test-QtAuthorizationClient-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets sub-test-QtAuthorizationClient-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: ../webauth
# Generated by qmake (2.01a) (Qt 4.5.2) on: ?? ????. 4 00:43:56 2010
# Project:  src.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_WEBKIT_LIB -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtDBus -I/usr/include/qt4/QtWebKit -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtWebKit -lQtDBus -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = mainwindow.cpp \
		main.cpp \
		authdbusadaptor.cpp \
		authmanager.cpp \
		authparams.cpp moc_mainwindow.cpp \
		moc_authdbusadaptor.cpp \
		moc_authmanager.cpp \
		qrc_jquery.cpp
OBJECTS       = mainwindow.o \
		main.o \
		authdbusadaptor.o \
		authmanager.o \
		authparams.o \
		moc_mainwindow.o \
		moc_authdbusadaptor.o \
		moc_authmanager.o \
		qrc_jquery.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = webauth
DESTDIR       = ../
TARGET        = ../webauth

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtWebKit.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile src.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtWebKit.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/webauth1.0.0 || $(MKDIR) .tmp/webauth1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/webauth1.0.0/ && $(COPY_FILE) --parents mainwindow.h authdbusadaptor.h authmanager.h authparams.h .tmp/webauth1.0.0/ && $(COPY_FILE) --parents jquery.qrc .tmp/webauth1.0.0/ && $(COPY_FILE) --parents mainwindow.cpp main.cpp authdbusadaptor.cpp authmanager.cpp authparams.cpp .tmp/webauth1.0.0/ && (cd `dirname .tmp/webauth1.0.0` && $(TAR) webauth1.0.0.tar webauth1.0.0 && $(COMPRESS) webauth1.0.0.tar) && $(MOVE) `dirname .tmp/webauth1.0.0`/webauth1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/webauth1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_authdbusadaptor.cpp moc_authmanager.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_authdbusadaptor.cpp moc_authmanager.cpp
moc_mainwindow.cpp: authdbusadaptor.h \
		authparams.h \
		mainwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_authdbusadaptor.cpp: authdbusadaptor.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) authdbusadaptor.h -o moc_authdbusadaptor.cpp

moc_authmanager.cpp: mainwindow.h \
		authdbusadaptor.h \
		authparams.h \
		authmanager.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) authmanager.h -o moc_authmanager.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all: qrc_jquery.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_jquery.cpp
qrc_jquery.cpp: jquery.qrc \
		jquery.min.js
	/usr/bin/rcc -name jquery jquery.qrc -o qrc_jquery.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean 

####### Compile

mainwindow.o: mainwindow.cpp mainwindow.h \
		authdbusadaptor.h \
		authparams.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o mainwindow.cpp

main.o: main.cpp authmanager.h \
		mainwindow.h \
		authdbusadaptor.h \
		authparams.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

authdbusadaptor.o: authdbusadaptor.cpp mainwindow.h \
		authdbusadaptor.h \
		authparams.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o authdbusadaptor.o authdbusadaptor.cpp

authmanager.o: authmanager.cpp authmanager.h \
		mainwindow.h \
		authdbusadaptor.h \
		authparams.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o authmanager.o authmanager.cpp

authparams.o: authparams.cpp authparams.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o authparams.o authparams.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

moc_authdbusadaptor.o: moc_authdbusadaptor.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_authdbusadaptor.o moc_authdbusadaptor.cpp

moc_authmanager.o: moc_authmanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_authmanager.o moc_authmanager.cpp

qrc_jquery.o: qrc_jquery.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qrc_jquery.o qrc_jquery.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/bin/ 
	-$(INSTALL_PROGRAM) "../$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/bin/ 


install_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/user/Programming/webauth/data/org.lomalan.AuthManager.service $(INSTALL_ROOT)/usr/share/dbus-1/services/


uninstall_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/services/org.lomalan.AuthManager.service
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/services/ 


install_interface: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/dbus-1/interfaces/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/dbus-1/interfaces/ 
	-$(INSTALL_FILE) /home/user/Programming/webauth/data/org.lomalan.AuthManager.xml $(INSTALL_ROOT)/usr/share/dbus-1/interfaces/


uninstall_interface:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/dbus-1/interfaces/org.lomalan.AuthManager.xml
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/dbus-1/interfaces/ 


install:  install_target install_service install_interface  FORCE

uninstall: uninstall_target uninstall_service uninstall_interface   FORCE

FORCE:

=== test/QtAuthorizationClient/Makefile ===
#############################################################################
# Makefile for building: QtAuthorizationClient
# Generated by qmake (2.01a) (Qt 4.5.2) on: ?? ????. 4 00:43:56 2010
# Project:  QtAuthorizationClient.pro
# Template: app
# Command: /usr/bin/qmake -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile QtAuthorizationClient.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtDBus -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDBus -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		client.cpp moc_client.cpp
OBJECTS       = main.o \
		client.o \
		moc_client.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		QtAuthorizationClient.pro
QMAKE_TARGET  = QtAuthorizationClient
DESTDIR       = 
TARGET        = QtAuthorizationClient

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: QtAuthorizationClient.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile QtAuthorizationClient.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile QtAuthorizationClient.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/QtAuthorizationClient1.0.0 || $(MKDIR) .tmp/QtAuthorizationClient1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/QtAuthorizationClient1.0.0/ && $(COPY_FILE) --parents client.h .tmp/QtAuthorizationClient1.0.0/ && $(COPY_FILE) --parents main.cpp client.cpp .tmp/QtAuthorizationClient1.0.0/ && (cd `dirname .tmp/QtAuthorizationClient1.0.0` && $(TAR) QtAuthorizationClient1.0.0.tar QtAuthorizationClient1.0.0 && $(COMPRESS) QtAuthorizationClient1.0.0.tar) && $(MOVE) `dirname .tmp/QtAuthorizationClient1.0.0`/QtAuthorizationClient1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/QtAuthorizationClient1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_client.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_client.cpp
moc_client.cpp: client.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) client.h -o moc_client.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp client.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

client.o: client.cpp client.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o client.o client.cpp

moc_client.o: moc_client.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_client.o moc_client.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

## webauth 1.0-1

=== debian/changelog ===
webauth (1.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- MySocials project team <maintainer@email.org>  Sun, 12 Sep 2010 23:16:19 +0400

=== debian/control ===
Source: webauth
Section: tools
Priority: optional
Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Aleksandr Borodin <aborod@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.8.1
Homepage: 

Package: webauth
Architecture: any
Depends: libqt4-core (>= 4.5.2), libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libqt4-gui (>= 4.5.2), libstdc++6 (>= 4.2.1)
#	 libqt4-gui (>= 4.5.2), 
#	 libQtNetwork (>= 4.5.2), 
#	 libQtWebKit  (>= 4.5.2), 
#	 libQtDBus  (>= 4.5.2),
#	 libQtCore  (>= 4.5.2),
#	 libQtGui  (>= 4.5.2)
Description: Authorization of social network services. 
 A program for correct authorization implementation 
 of social network services. It based on browser core.


Package:   webauth-dbg
Section: devel
Architecture: any
Depends: webauth-dbg (= ${Source-Version})
Description: Authorization of social network services (debug). 
 A program for correct authorization implementation 
 of social network services. It based on browser core.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := webauth
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4 PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## webauth 1.1-0

=== debian/changelog ===
webauth (1.1-0) unstable; urgency=low

    * debian/control: update bugtracker, remove depends.
    
    
 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Fri, 02 Nov 2010 18:29:02 +0400   

webauth (1.0-3) unstable; urgency=low

    * added authparams.c, authparams.h, class for parameters.

    * mainwindow.c, mainwindow.h: remove work with parameters, AuthParams class using.

 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Fri, 01 Nov 2010 13:40:02 +0400        

webauth (1.0-2) unstable; urgency=low

    * mainwindow.cpp, mainwindow.h, authdbusadapter.h, authdbusadapter.cpp: 
        Work logic changed, now window class load first and init dbus connection. 
        
 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Sat, 09 Oct 2010 20:01:02 +0400        
                
                

=== debian/control ===
Source: webauth
Section: tools
Priority: optional
Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.8.1
Homepage: 

Package: webauth
Architecture: any
Depends: libqt4-core, libqt4-gui, libqt4-webkit, libqt4-dbus
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=mysocials
XSBC-Maemo-Display-Name: Authorization of social network services. 
Description: Authorization of social network services. 
 A program for correct authorization implementation of social network services. It based on browser core.


Package: webauth-dbg
Section: devel
Architecture: any
Depends: webauth-dbg (= ${Source-Version})
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=mysocials
XSBC-Maemo-Display-Name: Debug symbols for webauth.
Description: Authorization of social network services (debug). 
 A program for correct authorization implementation of social network services. It based on browser core.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_installexamples
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=webauth-dbg
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## webauth 1.1-1

=== debian/changelog ===
webauth (1.1-1) unstable; urgency=low

  * fix problem with double emit

 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Wed, 10 Nov 2010 15:49:19 +0300

## webauth 1.1-2

=== debian/changelog ===
webauth (1.1-2) unstable; urgency=low

  * add support system proxy if not any proxy set

 -- MySocials project team <maemo-mysocials@cs.karelia.ru>  Wed, 17 Nov 2010 11:08:15 +0300

=== debian/control ===
Source: webauth
Section: tools
Priority: optional
Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.8.1
Homepage: http://oss.fruct.org/wiki/Webauth
XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=mysocials

Package: webauth
Architecture: any
Depends: libqt4-core, libqt4-gui, libqt4-webkit, libqt4-dbus
XSBC-Maemo-Display-Name: Authorization of social network services. 
Description: Authorization of social network services. 
 A program for correct authorization implementation of social network services. It based on browser core.


Package: webauth-dbg
Section: devel
Architecture: any
Depends: webauth-dbg (= ${Source-Version})
XSBC-Maemo-Display-Name: Debug symbols for webauth.
Description: Authorization of social network services (debug). 
 A program for correct authorization implementation of social network services. It based on browser core.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,22 @@
 #export DH_VERBOSE=1
 
 APPNAME := webauth
+
+
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -O0
+else
+	CFLAGS += -O2
+endif
+
+
+
 builddir:
 	mkdir -p builddir

## webauth 1.2-1

=== debian/changelog ===
webauth (1.2-1) natty; urgency=low

  * Add support to processing CAPTCHA requests
  * Add support to processing simple login

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Mon, 25 Apr 2011 12:56:14 +0400

## webauth 1.2.0-2

=== debian/changelog ===
webauth (1.2.0-2) natty; urgency=low

  * Set three number version of package

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 26 Apr 2011 12:07:16 +0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
 Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
-Build-Depends: debhelper (>= 5), libqt4-dev
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libqt4-webkit-dev | libqt4-webkit
 Standards-Version: 3.8.1
 Homepage: http://oss.fruct.org/wiki/Webauth
 XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=mysocials

## webauth 1.2.1-1

=== debian/changelog ===
webauth (1.2.1-1) natty; urgency=low

  * Set manual user agent for support Facebook
  * Add "shutdown webauth" signal to postinstall script for correct update

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Fri, 14 Oct 2011 09:36:57 +0400

## webauth 1.2.1-2

=== debian/changelog ===
webauth (1.2.1-2) oneiric; urgency=low

  * Add shutdown signal listener to system bus

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 18 Oct 2011 13:16:50 +0400

## webauth 1.2.2-1

=== debian/changelog ===
webauth (1.2.2-1) oneiric; urgency=low

  * Disable checks in post install script

 -- MySocials team <maemo-mysocials@cs.karelia.ru>  Tue, 25 Oct 2011 17:49:22 +0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: MySocials project team <maemo-mysocials@cs.karelia.ru>
 Uploaders: Sergey Zakharov <szaharov@cs.karelia.ru>, Aleksandr Lomov <lomov@cs.karelia.ru>, Andrey Bogachev <bogachev@cs.karelia.ru>, Ilia Burlak <burlak@cs.karelia.ru>, Kirill Kulakov <kulakov@cs.karelia.ru>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libqt4-webkit-dev | libqt4-webkit
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.6), libqt4-webkit-dev | libqtwebkit-dev | libqt4-webkit
 Standards-Version: 3.8.1
 Homepage: http://oss.fruct.org/wiki/Webauth
 XSBC-Bugtracker: http://oss.fruct.org/bugzilla/enter_bug.cgi?product=mysocials
 
 Package: webauth
 Architecture: any
-Depends: libqt4-core, libqt4-gui, libqt4-webkit, libqt4-dbus
+Depends: libqt4-core, libqt4-gui, libqt4-webkit | libqtwebkit4, libqt4-dbus
 XSBC-Maemo-Display-Name: Authorization of social network services. 
 Description: Authorization of social network services. 
  A program for correct authorization implementation of social network services. It based on browser core.
